/*
 Theme Name:   ADIDAS PRO WORK
 Theme URI:    https://lsart.nl/
 Description:  Adidas PRO WORK child
 Author:       LSArt
 Author URI:   https://lsart.nl
 Template:     bricks
 Version:      1.2
 Text Domain:  lsart
*/

body{
    text-rendering: optimizeLegibility;
    min-height: 100vh;
}
.gform_wrapper.gform-theme--foundation .gform_fields {
    gap: 24px;
}

.gform_wrapper.gform-theme--foundation .gform-field-label:where(:not([class*=gform-field-label--type-])) {
     margin-bottom: 4px;
 }
 
.gform_wrapper.gform-theme--foundation .gform_fields .gfield input{
    border-radius: 0 !important;
}

.gform_wrapper.gform-theme.gform-theme--framework.gform_wrapper input.button.gform_button  {
    background-color: #000 !important;
    border-radius: 0 !important;
    padding: 24px !important;
}
.gform_wrapper.gform-theme.gform-theme--framework.gform_wrapper .information-quote {
    margin-top: -20px;
    font-size: 12px;
    color: #929396;
}

.gform_heading {
  display: none !important;
}
#gform_fields_3 div, #gform_fields_1 div {
  gap: 0;
}
#gform_fields_3 input, #gform_fields_3 textarea, #gform_fields_1 input, #gform_fields_1 textarea {
  border: 1px solid #929396 !important;
  border-radius: 0;
  box-shadow: none;
padding: 8px 16px;
min-height: 44px;
}
#gform_fields_3 ::placeholder, #gform_fields_1 ::placeholder {
  color: #767677 !important;
}
#gform_submit_button_3, #gform_submit_button_1 {
  padding: 14px 24px !important;
  color: white;
  font-weight: 700;
  border: none;
height: 48px;
}
#gform_submit_button_3:hover, #gform_submit_button_1:hover {
  background-color: #1e1e1e !important;
}
@media screen and (max-width: 690px) {
  #gform_submit_button_3 {
    width: 100%;
  }
}

@media only screen and (max-width: 690px) {
    
    .lsart-tooltip {
        left:100%;
        transform: translateX(-100%);
    }
    
    .gform_wrapper.afspraak-formulier .gfield_checkbox,
    .geen-formulier .gform_wrapper .gfield_checkbox {
        grid-template-columns: repeat(1, 1fr) !important;
    }
    
}
.product-size-variation, .wc-variation-fieldset {
	margin-bottom: 0 !important;
}


.gform_validation_errors, 
.validation_error {
    display: none !important;
}
.gfield_validation_message,
.validation_message {
    display: none !important;
}
#validation_message_1_7 {
	display: block !important;
}

/* --- 1. INVALID FIELDS (Red) --- */
body div[id^='gform_wrapper_'] .gfield_error input[type="text"],
body div[id^='gform_wrapper_'] .gfield_error input[type="email"],
body div[id^='gform_wrapper_'] .gfield_error input[type="tel"],
body div[id^='gform_wrapper_'] .gfield_error input[type="url"],
body div[id^='gform_wrapper_'] .gfield_error input[type="number"],
body div[id^='gform_wrapper_'] .gfield_error textarea,
body div[id^='gform_wrapper_'] .gfield_error select {
    background-image: url("https://klanten.lsart.nl/adidasprowork/wp-content/uploads/2025/12/invalid-icon.svg") !important;
    background-repeat: no-repeat !important;
    background-position: 97% 50% !important;
    background-size: 24px 24px !important; 
    padding-right: 35px !important;
    box-shadow: 0 2px 0 0 #d23f37 !important;
}

/* --- 2. VALID FIELDS (Green) --- */
body div[id^='gform_wrapper_'] .gfield_valid input[type="text"],
body div[id^='gform_wrapper_'] .gfield_valid input[type="email"],
body div[id^='gform_wrapper_'] .gfield_valid input[type="tel"],
body div[id^='gform_wrapper_'] .gfield_valid input[type="url"],
body div[id^='gform_wrapper_'] .gfield_valid input[type="number"],
body div[id^='gform_wrapper_'] .gfield_valid textarea,
body div[id^='gform_wrapper_'] .gfield_valid select {
    background-image: url("https://klanten.lsart.nl/adidasprowork/wp-content/uploads/2025/12/valid-icon.svg") !important;
    background-repeat: no-repeat !important;
    background-position: 97% 50% !important;
    background-size: 24px 24px !important; 
    padding-right: 35px !important;
    box-shadow: 0 2px 0 0 #4aa55d !important;
}

.lsart-product-image {
    width: 100%;
    display: block;
    transition: opacity .2s ease;
}

.brxe-product-content p:first-of-type {
    font-weight: bold;
}

div#CybotCookiebotDialog,
div#CookiebotWidget {
    font-family: "Adidas Bold", sans-serif;
    border-radius: 0;
}
div#CybotCookiebotDialogHeader {
  display: none;
}
div#CybotCookiebotDialog .CybotCookiebotDialogBodyButton {
    padding: 10px;
    border-radius: 0;
}
div#CybotCookiebotDialog .CybotCookiebotDialogNavItemLink {
    text-transform: uppercase;
}
div#CookiebotWidget .CookiebotWidget-body .CookiebotWidget-main-logo {
    display: none;
}
div#CookiebotWidget.CookiebotWidget-open,
div#CookiebotWidget.CookiebotWidget-open #CookiebotWidget-widgetContent{
    border-radius:0;
}
div#CookiebotWidget button#CookiebotWidget-btn-withdraw,
div#CookiebotWidget button#CookiebotWidget-btn-change{
    text-transform: uppercase;
    border-radius: 0;
}
div#CookiebotWidget .CookiebotWidget-header {
    text-transform: uppercase;
}
div #CookiebotWidget {
    display: none !important;
}

